Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.common
Class JasperServerConstImpl

    java.lang.Object
      com.jaspersoft.jasperserver.war.common.JasperServerConstImpl

All Implemented Interfaces:
  JasperServerConst, java.io.Serializable

    public class JasperServerConstImpl

extends java.lang.Object
implements JasperServerConst, java.io.Serializable

Version:
  $Id: JdbcDataSourceService.java 2331 2006-03-08 15:06:12Z lucian $
Author:
  aztec
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.war.common.JasperServerConst
`DATATYPE_REQUEST_PARAM, FIELD_CHOICE_CONT_REPO, FIELD_CHOICE_FILE_SYSTEM, FIELD_CHOICE_LOCAL, FIELD_CHOICE_NONE, FIELD_FILE_UPLOAD, FILE_JASPER_EXTN, FILE_JRXML_EXTN, INPUTCONTROL_REQUEST_PARAM, JASPER_REPORT_CONTENT, JASPER_SERVER_DATASOURCE, JASPER_SERVER_DB_DRIVER, JASPER_SERVER_DB_PASSWORD, JASPER_SERVER_DB_URL, JASPER_SERVER_DB_USER, JASPER_SERVER_REPOSITORY_PATH, JRXML_THRESHOLD_SIZE, LISTOFVALUES_REQUEST_PARAM, MAX_LENGTH_DESC, MAX_LENGTH_DESC_W, MAX_LENGTH_LABEL, MAX_LENGTH_LABEL_W, MAX_LENGTH_NAME, MAX_LENGTH_NAME_W, OPTION_NO, OPTION_YES, REPORT_REQUEST_PARAM, REQUEST_PARAMETER_EDIT_RESOURCE_URI, TYPE_BOOLEAN, TYPE_DATASRC_BEAN, TYPE_DATASRC_CUSTOM, TYPE_DATASRC_JDBC, TYPE_DATASRC_JNDI, TYPE_DATE, TYPE_DATE_TIME, TYPE_MULTI_SELECT_LIST_OF_VALUES, TYPE_MULTI_SELECT_QUERY, TYPE_MULTI_VALUE, TYPE_NUMBER, TYPE_RSRC_ACCESS_GRANT_SCHEMA, TYPE_RSRC_CLASS_JAR, TYPE_RSRC_FONT, TYPE_RSRC_IMAGE, TYPE_RSRC_OLAP_SCHEMA, TYPE_RSRC_QUERY, TYPE_RSRC_RESOURCE_BUNDLE, TYPE_RSRC_STYLE_TEMPLATE, TYPE_RSRC_SUB_REPORT, TYPE_SINGLE_SELECT_LIST_OF_VALUES, TYPE_SINGLE_SELECT_QUERY, TYPE_SINGLE_VALUE, TYPE_TEXT, UPLOADED_FILE_EXT, UPLOADED_FILE_NAME, USER_LOCALE_SESSION_ATTR, USER_TIMEZONE_SESSION_ATTR`

Constructor Summary
`JasperServerConstImpl()`

Method Summary
`static java.lang.String` | `getBeanDatasourceType()`
`static java.lang.String` | `getBooleanCtrlType()`
`static java.lang.String` | `getClassJarResourceType()`
`static java.lang.String` | `getDataTypeReqParam()`
`static java.lang.String` | `getFieldChoiceFile()`
`static java.lang.String` | `getFieldChoiceLocal()`
`static java.lang.String` | `getFieldChoiceNone()`
`static java.lang.String` | `getFieldChoiceRepo()`
`static java.lang.String` | `getFontResourceType()`
`static java.lang.String` | `getImageResourceType()`
`static java.lang.String` | `getInputControlReqParam()`
`static java.lang.String` | `getJasperFileExtn()`
`static java.lang.String` | `getJasRepCont()`
`static java.lang.String` | `getJDBCDatasourceType()`
`static java.lang.String` | `getJNDIDatasourceType()`
`static java.lang.String` | `getJrxmlFileExtn()`
`static int` | `getJrxmlMaxSize()`
`static java.lang.String` | `getJSConnector()`
`static java.lang.String` | `getJSDataSrc()`
`static java.lang.String` | `getJSDbPasswd()`
`static java.lang.String` | `getJSDbUser()`
`static java.lang.String` | `getJSReposPath()`
`static java.lang.String` | `getJSUrl()`
`static java.lang.String` | `getListOfValuesReqParam()`
`static java.lang.String` | `getMultiSelectLovCtrlType()`
`static java.lang.String` | `getMultiSelectQueryCtrl()`
`static java.lang.String` | `getMultiValueCtrlType()`
`static java.lang.String` | `getNoOption()`
`static java.lang.String` | `getOlapMondrianConnectionType()`
`static java.lang.String` | `getOlapXmlaConnectionType()`
`static java.lang.String` | `getQueryResourceType()`
`static java.lang.String` | `getRepReqParam()`
`static java.lang.String` | `getSingleSelectLovCtrlType()`
`static java.lang.String` | `getSingleSelectQueryCtrlType()`
`static java.lang.String` | `getSingleValueCtrlType()`
`static java.lang.String` | `getSubReportResourceType()`
`static java.lang.String` | `getTypeDate()`
`static java.lang.String` | `getTypeDateTime()`
`static java.lang.String` | `getTypeNumber()`
`static java.lang.String` | `getTypeText()`
`java.lang.String` | `getUploadedFileExt()`
`java.lang.String` | `getUploadedFileName()`
`static java.lang.String` | `getUserLocaleSessionAttr()`
`static java.lang.String` | `getUserTimezoneSessionAttr()`
`static java.lang.String` | `getYesOption()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JasperServerConstImpl

    public JasperServerConstImpl()

Method Detail

### getJSReposPath

    public static java.lang.String getJSReposPath()

### getJSDataSrc

    public static java.lang.String getJSDataSrc()

### getJSConnector

    public static java.lang.String getJSConnector()

### getJSUrl

    public static java.lang.String getJSUrl()

### getJasRepCont

    public static java.lang.String getJasRepCont()

### getJSDbUser

    public static java.lang.String getJSDbUser()

### getJSDbPasswd

    public static java.lang.String getJSDbPasswd()

### getRepReqParam

    public static java.lang.String getRepReqParam()

### getDataTypeReqParam

    public static java.lang.String getDataTypeReqParam()

### getInputControlReqParam

    public static java.lang.String getInputControlReqParam()

### getListOfValuesReqParam

    public static java.lang.String getListOfValuesReqParam()

### getJrxmlFileExtn

    public static java.lang.String getJrxmlFileExtn()

### getJasperFileExtn

    public static java.lang.String getJasperFileExtn()

### getJrxmlMaxSize

    public static int getJrxmlMaxSize()

### getFieldChoiceFile

    public static java.lang.String getFieldChoiceFile()

### getFieldChoiceRepo

    public static java.lang.String getFieldChoiceRepo()

### getFieldChoiceLocal

    public static java.lang.String getFieldChoiceLocal()

### getFieldChoiceNone

    public static java.lang.String getFieldChoiceNone()

### getJNDIDatasourceType

    public static java.lang.String getJNDIDatasourceType()

### getJDBCDatasourceType

    public static java.lang.String getJDBCDatasourceType()

### getBeanDatasourceType

    public static java.lang.String getBeanDatasourceType()

### getImageResourceType

    public static java.lang.String getImageResourceType()

### getFontResourceType

    public static java.lang.String getFontResourceType()

### getClassJarResourceType

    public static java.lang.String getClassJarResourceType()

### getQueryResourceType

    public static java.lang.String getQueryResourceType()

### getSubReportResourceType

    public static java.lang.String getSubReportResourceType()

### getNoOption

    public static java.lang.String getNoOption()

### getYesOption

    public static java.lang.String getYesOption()

### getBooleanCtrlType

    public static java.lang.String getBooleanCtrlType()

### getSingleValueCtrlType

    public static java.lang.String getSingleValueCtrlType()

### getSingleSelectLovCtrlType

    public static java.lang.String getSingleSelectLovCtrlType()

### getSingleSelectQueryCtrlType

    public static java.lang.String getSingleSelectQueryCtrlType()

### getMultiValueCtrlType

    public static java.lang.String getMultiValueCtrlType()

### getMultiSelectLovCtrlType

    public static java.lang.String getMultiSelectLovCtrlType()

### getMultiSelectQueryCtrl

    public static java.lang.String getMultiSelectQueryCtrl()

### getTypeText

    public static java.lang.String getTypeText()

### getTypeNumber

    public static java.lang.String getTypeNumber()

### getTypeDate

    public static java.lang.String getTypeDate()

### getTypeDateTime

    public static java.lang.String getTypeDateTime()

### getUploadedFileName

    public java.lang.String getUploadedFileName()

### getUploadedFileExt

    public java.lang.String getUploadedFileExt()

### getOlapMondrianConnectionType

    public static java.lang.String getOlapMondrianConnectionType()

### getOlapXmlaConnectionType

    public static java.lang.String getOlapXmlaConnectionType()

### getUserLocaleSessionAttr

    public static java.lang.String getUserLocaleSessionAttr()

### getUserTimezoneSessionAttr

    public static java.lang.String getUserTimezoneSessionAttr()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.